/* Mobile First */

body,
#page-content,
header,
#headerDiv,
nav,
main,
#banner,
#answerQuiz,
#crieUmaConta,
#goToQuizBtn {
  display: flex;
}

body,
header,
main,
#banner,
#answerQuiz {
  flex-direction: column;
  align-items: center;
}

#navDiv,
main {
  width: 100%;
}

nav {
  width: 100%;
  border: 3px solid #015871;
  border-radius: 16px;
  background-color: rgb(13, 13, 13);
  padding: 0.5rem 0;
  justify-content: space-around;
}

header {
  width: 70%;
}

/* Header div */
#headerDiv {
  padding: 1rem;
  justify-content: center;
}

header > div {
  flex-direction: column;
  align-items: center;
}

#reportDescription {
  width: 100%;
  max-width: 500px;
  min-height: 120px;
  padding: 12px;
  border: 2px solid #09c;
  border-radius: 8px;
  background: #222;
  color: #fff;
  font-size: 1rem;
  resize: vertical; /* permite redimensionar apenas na vertical */
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.08);
}

/* Elements inside header */

/* QUIZLAB */
h3 {
  color: #015871;
  font-size: 2rem;
  letter-spacing: 4px;
  display: inline-flex;
  font-family: "Bitcount", system-ui;
  gap: 5px;
  margin: 16px 0;
}

#ball-logo {
  object-fit: contain;
  vertical-align: middle;
  width: 30px;
}

#navDiv {
  gap: 15px;
}

/* MAIN */

main {
  padding: 20px 0;
  gap: 20px;
  margin: auto 0;
}

h2 {
  width: 100%;
  font-size: 1.5rem;
}

h2,
#crieUmaConta {
  margin: 0;
}

#banner,
#answerQuiz {
  border: 3px solid #015871;
  padding: 20px;
  width: 90%;
  background-color: #1a296e;
  gap: 20px;
  text-align: center;
}

#banner > img {
  width: 25vw;
}

/* RESPONDER QUIZ */
form {
  width: 100%;
}

/* CÓDIGO DO QUIZ */
#quizCodeContainer {
  text-align: left;
}

#crieUmaConta,
#goToQuizBtn {
  justify-content: center;
}

/* CRIE UMA CONTA e IR PARA O QUIZ */
#crieUmaConta > button,
#goToQuizBtn > button {
  flex: 1 1 130px;
  min-width: 130px;
  max-width: 200px;
  box-sizing: border-box;
}

#quizCodeContainer {
  width: 90%;
  margin: 0 auto;
}

/* Tablets */
@media (min-width: 768px) {
  header {
    width: 100%;
    flex-direction: row;
    justify-content: space-between;
  }

  header > div {
    flex-direction: row;
    justify-content: space-between;
  }

  #headerDiv {
    padding: 1rem 1.25rem;
  }

  #navDiv {
    width: 65%;
  }

  #reportErrorDiv {
    margin: 0;
    width: 20%;
  }

  nav {
    width: 50%;
  }

  #banner,
  #answerQuiz {
    width: 60%;
  }

  #banner > img {
    width: 12vw;
  }

  main {
    gap: 50px;
  }
}

/* Desktops */
@media (min-width: 1025px) {
  header {
    width: 80%;
    flex-direction: row;
    justify-content: space-between;
  }

  header > div {
    flex-direction: row;
  }

  #banner > img {
    width: 7vw;
  }

  #navDiv {
    width: 75%;
  }

  nav {
    width: 35%;
  }

  #reportErrorDiv {
    margin: 0;
    width: 20%;
  }

  #banner,
  #answerQuiz {
    height: 100%;
    gap: 10px;
    width: 40%;
    justify-content: space-between;
  }

  main {
    flex-direction: row;
    justify-content: center;
    height: 30vw;
  }

  form {
    width: 100%;
  }

  #quizCodeContainer {
    width: 70%;
  }
}
